<!DOCTYPE html>
<html>
<head>
  <title>Artillery report</title>
  <script src='https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js'></script>
  <script src='https://cdnjs.cloudflare.com/ajax/libs/d3/3.5.0/d3.min.js' charset='utf-8'></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.css" />
  <script src="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.js"></script>

  <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,700' rel='stylesheet' type='text/css'>
  <link href='https://fonts.googleapis.com/css?family=PT+Serif:400,700,400italic' rel='stylesheet' type='text/css'>
  <link href='https://netdna.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.css' rel='stylesheet' type='text/css'>
  <link href='https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css' rel='stylesheet' type='text/css'>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.10.6/moment.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/lodash.js/3.10.1/lodash.min.js"></script>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/ace/1.2.0/ace.js" charset="utf-8"></script>

  <style>
  body, p, li {
    font-family: sans-serif;
    font-size: 10pt;
  }

  h1 {
    font-size: 18pt;
    font-weight: bold;
  }

  #errorsContainer > p {
    color: #009900;
  }

  #footer {
    padding: 1em;
    font-size: 0.8em;
    color: #999;
    text-align: center;
    margin-top: 1em;
    background-color: #eee;
  }
  #editor {
    font-size: 8pt;
    height: 20em;
  }
  </style>

  <script>
  window.Report = {
  "aggregate": {
    "timestamp": "2021-02-19T18:47:16.579Z",
    "scenariosCreated": 33664,
    "scenariosCompleted": 33664,
    "requestsCompleted": 54248,
    "latency": {
      "min": 260.7,
      "max": 60319,
      "median": 733.4,
      "p95": 1271.2,
      "p99": 14502.2
    },
    "rps": {
      "count": 54248,
      "mean": 65.92
    },
    "scenarioDuration": {
      "min": 2416,
      "max": 62690.9,
      "median": 3244.3,
      "p95": 4634.3,
      "p99": 26810.4
    },
    "scenarioCounts": {
      "Fuzz minute": 11240,
      "Fuzz fixed": 11162,
      "Fuzz getSpec": 11262
    },
    "errors": {},
    "codes": {
      "200": 33658,
      "302": 20584,
      "500": 6
    },
    "matches": 0,
    "customStats": {},
    "counters": {},
    "scenariosAvoided": 0,
    "phases": [
      {
        "duration": 10,
        "arrivalCount": 100
      },
      {
        "duration": 60,
        "arrivalRate": 5,
        "name": "Warm up"
      },
      {
        "duration": 120,
        "arrivalRate": 5,
        "rampTo": 50,
        "name": "Ramp up load"
      },
      {
        "duration": 600,
        "arrivalRate": 50,
        "name": "Sustained load"
      }
    ]
  },
  "intermediate": [
    {
      "timestamp": "2021-02-19T18:33:43.637Z",
      "scenariosCreated": 99,
      "scenariosCompleted": 61,
      "requestsCompleted": 167,
      "latency": {
        "min": 277.9,
        "max": 5108.1,
        "median": 813.6,
        "p95": 1033.1,
        "p99": 2112.1
      },
      "rps": {
        "count": 185,
        "mean": 18.74
      },
      "scenarioDuration": {
        "min": 3153.2,
        "max": 7480.6,
        "median": 3265.7,
        "p95": 3805.5,
        "p99": 7171.9
      },
      "scenarioCounts": {
        "Fuzz minute": 26,
        "Fuzz fixed": 28,
        "Fuzz getSpec": 45
      },
      "errors": {},
      "codes": {
        "200": 81,
        "302": 86
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 38,
      "pendingRequests": 18,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:33:53.628Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 66,
      "requestsCompleted": 84,
      "latency": {
        "min": 288.5,
        "max": 14292.4,
        "median": 624.7,
        "p95": 1203.2,
        "p99": 13534.1
      },
      "rps": {
        "count": 78,
        "mean": 7.82
      },
      "scenarioDuration": {
        "min": 2450.8,
        "max": 17588.8,
        "median": 3238.5,
        "p95": 3614.4,
        "p99": 15374.5
      },
      "scenarioCounts": {
        "Fuzz getSpec": 17,
        "Fuzz fixed": 15,
        "Fuzz minute": 18
      },
      "errors": {},
      "codes": {
        "200": 56,
        "302": 28
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 22,
      "pendingRequests": 12,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:34:03.625Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 53,
      "requestsCompleted": 79,
      "latency": {
        "min": 282.9,
        "max": 28825.1,
        "median": 730.1,
        "p95": 1689.7,
        "p99": 25383.1
      },
      "rps": {
        "count": 78,
        "mean": 7.82
      },
      "scenarioDuration": {
        "min": 2455.5,
        "max": 23489.4,
        "median": 3230.2,
        "p95": 5125.9,
        "p99": 23364
      },
      "scenarioCounts": {
        "Fuzz minute": 10,
        "Fuzz getSpec": 19,
        "Fuzz fixed": 21
      },
      "errors": {},
      "codes": {
        "200": 51,
        "302": 28
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 19,
      "pendingRequests": 11,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:34:13.629Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 48,
      "requestsCompleted": 70,
      "latency": {
        "min": 281.9,
        "max": 15078.1,
        "median": 656.7,
        "p95": 1843.4,
        "p99": 13050.5
      },
      "rps": {
        "count": 68,
        "mean": 6.81
      },
      "scenarioDuration": {
        "min": 2451.2,
        "max": 32130.4,
        "median": 3040.6,
        "p95": 6040.1,
        "p99": 32130.4
      },
      "scenarioCounts": {
        "Fuzz getSpec": 19,
        "Fuzz fixed": 21,
        "Fuzz minute": 10
      },
      "errors": {},
      "codes": {
        "200": 52,
        "302": 18
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 21,
      "pendingRequests": 9,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:34:23.626Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 50,
      "requestsCompleted": 77,
      "latency": {
        "min": 283.3,
        "max": 41914.7,
        "median": 802.5,
        "p95": 1512,
        "p99": 39016
      },
      "rps": {
        "count": 75,
        "mean": 7.52
      },
      "scenarioDuration": {
        "min": 2521.9,
        "max": 24611.3,
        "median": 3269.5,
        "p95": 7955.4,
        "p99": 24611.3
      },
      "scenarioCounts": {
        "Fuzz minute": 18,
        "Fuzz fixed": 16,
        "Fuzz getSpec": 16
      },
      "errors": {},
      "codes": {
        "200": 52,
        "302": 25
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 21,
      "pendingRequests": 7,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:34:33.630Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 55,
      "requestsCompleted": 80,
      "latency": {
        "min": 277.8,
        "max": 26980.1,
        "median": 612.6,
        "p95": 1133.7,
        "p99": 25172.9
      },
      "rps": {
        "count": 75,
        "mean": 7.52
      },
      "scenarioDuration": {
        "min": 2464.9,
        "max": 48938,
        "median": 3205.2,
        "p95": 27853,
        "p99": 48192.8
      },
      "scenarioCounts": {
        "Fuzz getSpec": 11,
        "Fuzz fixed": 23,
        "Fuzz minute": 16
      },
      "errors": {},
      "codes": {
        "200": 55,
        "302": 25
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 16,
      "pendingRequests": 2,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:34:43.628Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 49,
      "requestsCompleted": 77,
      "latency": {
        "min": 283.3,
        "max": 2247.1,
        "median": 658.8,
        "p95": 1137.7,
        "p99": 1972.9
      },
      "rps": {
        "count": 81,
        "mean": 8.12
      },
      "scenarioDuration": {
        "min": 2464.6,
        "max": 3606.1,
        "median": 3242.7,
        "p95": 3521.6,
        "p99": 3606.1
      },
      "scenarioCounts": {
        "Fuzz fixed": 18,
        "Fuzz getSpec": 15,
        "Fuzz minute": 17
      },
      "errors": {},
      "codes": {
        "200": 46,
        "302": 31
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 17,
      "pendingRequests": 6,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:34:53.629Z",
      "scenariosCreated": 61,
      "scenariosCompleted": 57,
      "requestsCompleted": 100,
      "latency": {
        "min": 278.4,
        "max": 8951.2,
        "median": 759.7,
        "p95": 1282.8,
        "p99": 6971.5
      },
      "rps": {
        "count": 101,
        "mean": 10.12
      },
      "scenarioDuration": {
        "min": 2585.6,
        "max": 11414.8,
        "median": 3276.7,
        "p95": 3679.1,
        "p99": 11364.1
      },
      "scenarioCounts": {
        "Fuzz getSpec": 20,
        "Fuzz minute": 13,
        "Fuzz fixed": 28
      },
      "errors": {},
      "codes": {
        "200": 60,
        "302": 40
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 21,
      "pendingRequests": 7,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:35:03.631Z",
      "scenariosCreated": 83,
      "scenariosCompleted": 69,
      "requestsCompleted": 91,
      "latency": {
        "min": 285.1,
        "max": 6467.4,
        "median": 607.5,
        "p95": 1219.9,
        "p99": 5104.5
      },
      "rps": {
        "count": 102,
        "mean": 10.22
      },
      "scenarioDuration": {
        "min": 2457.7,
        "max": 11448.9,
        "median": 2649.1,
        "p95": 6854,
        "p99": 10955.5
      },
      "scenarioCounts": {
        "Fuzz getSpec": 36,
        "Fuzz fixed": 28,
        "Fuzz minute": 19
      },
      "errors": {},
      "codes": {
        "200": 72,
        "302": 19
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 35,
      "pendingRequests": 18,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:35:13.636Z",
      "scenariosCreated": 142,
      "scenariosCompleted": 123,
      "requestsCompleted": 185,
      "latency": {
        "min": 283.5,
        "max": 9199.9,
        "median": 650.1,
        "p95": 1320.5,
        "p99": 6208.5
      },
      "rps": {
        "count": 191,
        "mean": 19.18
      },
      "scenarioDuration": {
        "min": 2440.7,
        "max": 25938.4,
        "median": 3150.1,
        "p95": 3890.6,
        "p99": 14002.8
      },
      "scenarioCounts": {
        "Fuzz minute": 54,
        "Fuzz fixed": 40,
        "Fuzz getSpec": 48
      },
      "errors": {},
      "codes": {
        "200": 136,
        "302": 49
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 54,
      "pendingRequests": 24,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:35:23.640Z",
      "scenariosCreated": 166,
      "scenariosCompleted": 148,
      "requestsCompleted": 288,
      "latency": {
        "min": 285.4,
        "max": 14715.2,
        "median": 778.2,
        "p95": 1066.3,
        "p99": 1969
      },
      "rps": {
        "count": 300,
        "mean": 30.24
      },
      "scenarioDuration": {
        "min": 2462.9,
        "max": 17072.1,
        "median": 3268.7,
        "p95": 3757.5,
        "p99": 16229.1
      },
      "scenarioCounts": {
        "Fuzz fixed": 62,
        "Fuzz minute": 54,
        "Fuzz getSpec": 50
      },
      "errors": {},
      "codes": {
        "200": 154,
        "302": 134
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 72,
      "pendingRequests": 36,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:35:33.641Z",
      "scenariosCreated": 219,
      "scenariosCompleted": 195,
      "requestsCompleted": 352,
      "latency": {
        "min": 280.1,
        "max": 39951.4,
        "median": 748.4,
        "p95": 1279.9,
        "p99": 6686
      },
      "rps": {
        "count": 365,
        "mean": 36.54
      },
      "scenarioDuration": {
        "min": 2447.9,
        "max": 42356.2,
        "median": 3244.3,
        "p95": 4185.8,
        "p99": 16682.6
      },
      "scenarioCounts": {
        "Fuzz minute": 77,
        "Fuzz fixed": 71,
        "Fuzz getSpec": 71
      },
      "errors": {},
      "codes": {
        "200": 206,
        "302": 146
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 96,
      "pendingRequests": 49,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:35:43.633Z",
      "scenariosCreated": 249,
      "scenariosCompleted": 240,
      "requestsCompleted": 498,
      "latency": {
        "min": 276.3,
        "max": 28239.2,
        "median": 785.8,
        "p95": 1251.8,
        "p99": 20085.2
      },
      "rps": {
        "count": 504,
        "mean": 50.5
      },
      "scenarioDuration": {
        "min": 2453.6,
        "max": 30599.2,
        "median": 3287.5,
        "p95": 4323.6,
        "p99": 29206.9
      },
      "scenarioCounts": {
        "Fuzz minute": 81,
        "Fuzz getSpec": 81,
        "Fuzz fixed": 87
      },
      "errors": {},
      "codes": {
        "200": 243,
        "302": 255
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 105,
      "pendingRequests": 55,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:35:53.635Z",
      "scenariosCreated": 291,
      "scenariosCompleted": 280,
      "requestsCompleted": 510,
      "latency": {
        "min": 276.5,
        "max": 31975.6,
        "median": 799.4,
        "p95": 1333.7,
        "p99": 12331.3
      },
      "rps": {
        "count": 504,
        "mean": 50.45
      },
      "scenarioDuration": {
        "min": 2462.2,
        "max": 34335.6,
        "median": 3273.7,
        "p95": 6927.5,
        "p99": 20476.2
      },
      "scenarioCounts": {
        "Fuzz minute": 112,
        "Fuzz fixed": 91,
        "Fuzz getSpec": 88
      },
      "errors": {},
      "codes": {
        "200": 297,
        "302": 213
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 116,
      "pendingRequests": 49,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:36:03.633Z",
      "scenariosCreated": 337,
      "scenariosCompleted": 346,
      "requestsCompleted": 577,
      "latency": {
        "min": 277.9,
        "max": 40361.1,
        "median": 767.4,
        "p95": 1272.2,
        "p99": 23994.2
      },
      "rps": {
        "count": 578,
        "mean": 57.86
      },
      "scenarioDuration": {
        "min": 2446.3,
        "max": 42753.4,
        "median": 3249,
        "p95": 11218.3,
        "p99": 28443.9
      },
      "scenarioCounts": {
        "Fuzz getSpec": 108,
        "Fuzz minute": 108,
        "Fuzz fixed": 121
      },
      "errors": {},
      "codes": {
        "200": 336,
        "302": 241
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 107,
      "pendingRequests": 50,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:36:13.650Z",
      "scenariosCreated": 348,
      "scenariosCompleted": 317,
      "requestsCompleted": 629,
      "latency": {
        "min": 271.3,
        "max": 26625.5,
        "median": 816.7,
        "p95": 1261.7,
        "p99": 7169.4
      },
      "rps": {
        "count": 644,
        "mean": 64.27
      },
      "scenarioDuration": {
        "min": 2570.5,
        "max": 29738,
        "median": 3296.5,
        "p95": 4103.4,
        "p99": 19791.1
      },
      "scenarioCounts": {
        "Fuzz minute": 133,
        "Fuzz getSpec": 98,
        "Fuzz fixed": 117
      },
      "errors": {},
      "codes": {
        "200": 333,
        "302": 296
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 138,
      "pendingRequests": 65,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:36:23.636Z",
      "scenariosCreated": 421,
      "scenariosCompleted": 394,
      "requestsCompleted": 806,
      "latency": {
        "min": 273.6,
        "max": 19109.3,
        "median": 797.6,
        "p95": 1142.9,
        "p99": 5281.5
      },
      "rps": {
        "count": 823,
        "mean": 82.46
      },
      "scenarioDuration": {
        "min": 3129.2,
        "max": 29620.4,
        "median": 3280.9,
        "p95": 5978.7,
        "p99": 15070.3
      },
      "scenarioCounts": {
        "Fuzz getSpec": 141,
        "Fuzz fixed": 134,
        "Fuzz minute": 146
      },
      "errors": {},
      "codes": {
        "200": 404,
        "302": 402
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 165,
      "pendingRequests": 82,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:36:33.637Z",
      "scenariosCreated": 436,
      "scenariosCompleted": 440,
      "requestsCompleted": 607,
      "latency": {
        "min": 280.7,
        "max": 26069.9,
        "median": 625,
        "p95": 1177.4,
        "p99": 12792
      },
      "rps": {
        "count": 598,
        "mean": 59.8
      },
      "scenarioDuration": {
        "min": 2427.2,
        "max": 28417.3,
        "median": 3223.5,
        "p95": 4227.1,
        "p99": 13803.9
      },
      "scenarioCounts": {
        "Fuzz fixed": 140,
        "Fuzz getSpec": 136,
        "Fuzz minute": 160
      },
      "errors": {},
      "codes": {
        "200": 445,
        "302": 162
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 161,
      "pendingRequests": 73,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:36:43.637Z",
      "scenariosCreated": 485,
      "scenariosCompleted": 446,
      "requestsCompleted": 714,
      "latency": {
        "min": 278.7,
        "max": 30809.7,
        "median": 687.8,
        "p95": 1159.1,
        "p99": 13486.6
      },
      "rps": {
        "count": 735,
        "mean": 73.57
      },
      "scenarioDuration": {
        "min": 2426.9,
        "max": 40591.7,
        "median": 2859.3,
        "p95": 3816.9,
        "p99": 22825
      },
      "scenarioCounts": {
        "Fuzz minute": 171,
        "Fuzz getSpec": 161,
        "Fuzz fixed": 153
      },
      "errors": {},
      "codes": {
        "200": 464,
        "302": 250
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 200,
      "pendingRequests": 94,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:36:53.636Z",
      "scenariosCreated": 499,
      "scenariosCompleted": 497,
      "requestsCompleted": 790,
      "latency": {
        "min": 278.3,
        "max": 30878.8,
        "median": 747.4,
        "p95": 1273.5,
        "p99": 11652.3
      },
      "rps": {
        "count": 786,
        "mean": 78.68
      },
      "scenarioDuration": {
        "min": 2432.4,
        "max": 34744.4,
        "median": 3196.3,
        "p95": 5839.8,
        "p99": 23370.4
      },
      "scenarioCounts": {
        "Fuzz getSpec": 150,
        "Fuzz fixed": 175,
        "Fuzz minute": 174
      },
      "errors": {},
      "codes": {
        "200": 503,
        "302": 287
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 202,
      "pendingRequests": 90,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:37:03.636Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 497,
      "requestsCompleted": 962,
      "latency": {
        "min": 275.9,
        "max": 39156.6,
        "median": 781,
        "p95": 1233.1,
        "p99": 12420.4
      },
      "rps": {
        "count": 935,
        "mean": 93.59
      },
      "scenarioDuration": {
        "min": 3091,
        "max": 45506.9,
        "median": 3270,
        "p95": 5377.5,
        "p99": 38275.9
      },
      "scenarioCounts": {
        "Fuzz getSpec": 163,
        "Fuzz minute": 173,
        "Fuzz fixed": 164
      },
      "errors": {},
      "codes": {
        "200": 527,
        "302": 435
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 205,
      "pendingRequests": 63,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:37:13.634Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 539,
      "requestsCompleted": 638,
      "latency": {
        "min": 277.3,
        "max": 40586.9,
        "median": 671.7,
        "p95": 1164.7,
        "p99": 15049.4
      },
      "rps": {
        "count": 652,
        "mean": 65.2
      },
      "scenarioDuration": {
        "min": 2437,
        "max": 43518.2,
        "median": 2913,
        "p95": 5481.3,
        "p99": 27724.9
      },
      "scenarioCounts": {
        "Fuzz fixed": 157,
        "Fuzz getSpec": 178,
        "Fuzz minute": 165
      },
      "errors": {},
      "codes": {
        "200": 486,
        "302": 152
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 166,
      "pendingRequests": 77,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:37:23.637Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 463,
      "requestsCompleted": 903,
      "latency": {
        "min": 276.8,
        "max": 43659.8,
        "median": 772,
        "p95": 1174.8,
        "p99": 10297.4
      },
      "rps": {
        "count": 922,
        "mean": 92.2
      },
      "scenarioDuration": {
        "min": 2427,
        "max": 33062,
        "median": 3223,
        "p95": 3666.4,
        "p99": 18863.4
      },
      "scenarioCounts": {
        "Fuzz fixed": 161,
        "Fuzz minute": 175,
        "Fuzz getSpec": 164
      },
      "errors": {},
      "codes": {
        "200": 481,
        "302": 422
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 203,
      "pendingRequests": 96,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:37:33.640Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 512,
      "requestsCompleted": 862,
      "latency": {
        "min": 274.4,
        "max": 60319,
        "median": 694.2,
        "p95": 1198.2,
        "p99": 15290.7
      },
      "rps": {
        "count": 831,
        "mean": 83.1
      },
      "scenarioDuration": {
        "min": 2440.1,
        "max": 52712.5,
        "median": 3300,
        "p95": 4532.1,
        "p99": 26646.9
      },
      "scenarioCounts": {
        "Fuzz fixed": 194,
        "Fuzz minute": 144,
        "Fuzz getSpec": 162
      },
      "errors": {},
      "codes": {
        "200": 531,
        "302": 331
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 191,
      "pendingRequests": 65,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:37:43.678Z",
      "scenariosCreated": 501,
      "scenariosCompleted": 513,
      "requestsCompleted": 604,
      "latency": {
        "min": 279.9,
        "max": 46425.5,
        "median": 622.9,
        "p95": 1248.4,
        "p99": 25192.4
      },
      "rps": {
        "count": 633,
        "mean": 63.05
      },
      "scenarioDuration": {
        "min": 2437.9,
        "max": 62690.9,
        "median": 2712,
        "p95": 3807.2,
        "p99": 39322.1
      },
      "scenarioCounts": {
        "Fuzz fixed": 174,
        "Fuzz getSpec": 166,
        "Fuzz minute": 161
      },
      "errors": {},
      "codes": {
        "200": 471,
        "302": 133
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 179,
      "pendingRequests": 94,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:37:53.659Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 490,
      "requestsCompleted": 961,
      "latency": {
        "min": 271.9,
        "max": 33475.5,
        "median": 803.4,
        "p95": 1327.2,
        "p99": 22428.5
      },
      "rps": {
        "count": 962,
        "mean": 96.78
      },
      "scenarioDuration": {
        "min": 2455.4,
        "max": 35113,
        "median": 3304.2,
        "p95": 5031.7,
        "p99": 28003.9
      },
      "scenarioCounts": {
        "Fuzz getSpec": 184,
        "Fuzz minute": 167,
        "Fuzz fixed": 149
      },
      "errors": {},
      "codes": {
        "200": 500,
        "302": 461
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 189,
      "pendingRequests": 95,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:38:03.659Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 476,
      "requestsCompleted": 871,
      "latency": {
        "min": 276.8,
        "max": 33740.2,
        "median": 783,
        "p95": 1730.4,
        "p99": 16354.1
      },
      "rps": {
        "count": 872,
        "mean": 87.29
      },
      "scenarioDuration": {
        "min": 2442.3,
        "max": 44238,
        "median": 3304.3,
        "p95": 5120.6,
        "p99": 30190.2
      },
      "scenarioCounts": {
        "Fuzz getSpec": 163,
        "Fuzz minute": 178,
        "Fuzz fixed": 159
      },
      "errors": {},
      "codes": {
        "200": 499,
        "302": 372
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 213,
      "pendingRequests": 96,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:38:13.657Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 977,
      "latency": {
        "min": 275.4,
        "max": 37090.1,
        "median": 786.4,
        "p95": 1463.9,
        "p99": 16079.9
      },
      "rps": {
        "count": 963,
        "mean": 96.4
      },
      "scenarioDuration": {
        "min": 3100.4,
        "max": 51037.5,
        "median": 3314.5,
        "p95": 15566.8,
        "p99": 31355.5
      },
      "scenarioCounts": {
        "Fuzz getSpec": 178,
        "Fuzz minute": 159,
        "Fuzz fixed": 163
      },
      "errors": {},
      "codes": {
        "200": 512,
        "302": 463,
        "500": 2
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 213,
      "pendingRequests": 82,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:38:23.657Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 529,
      "requestsCompleted": 692,
      "latency": {
        "min": 277.3,
        "max": 32673.5,
        "median": 693.3,
        "p95": 1282,
        "p99": 16541.5
      },
      "rps": {
        "count": 687,
        "mean": 68.77
      },
      "scenarioDuration": {
        "min": 2430,
        "max": 49095,
        "median": 3158.9,
        "p95": 7963,
        "p99": 26413.6
      },
      "scenarioCounts": {
        "Fuzz getSpec": 176,
        "Fuzz minute": 145,
        "Fuzz fixed": 179
      },
      "errors": {},
      "codes": {
        "200": 505,
        "302": 187
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 184,
      "pendingRequests": 77,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:38:33.656Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 478,
      "requestsCompleted": 766,
      "latency": {
        "min": 270.6,
        "max": 24248.7,
        "median": 798.5,
        "p95": 1347.5,
        "p99": 18384.4
      },
      "rps": {
        "count": 780,
        "mean": 78
      },
      "scenarioDuration": {
        "min": 2435.5,
        "max": 31110,
        "median": 3060.1,
        "p95": 7611.1,
        "p99": 25928
      },
      "scenarioCounts": {
        "Fuzz minute": 171,
        "Fuzz getSpec": 166,
        "Fuzz fixed": 163
      },
      "errors": {},
      "codes": {
        "200": 486,
        "302": 280
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 206,
      "pendingRequests": 91,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:38:43.657Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 483,
      "requestsCompleted": 960,
      "latency": {
        "min": 276.2,
        "max": 29114.4,
        "median": 771.8,
        "p95": 1217.1,
        "p99": 10682.9
      },
      "rps": {
        "count": 940,
        "mean": 94
      },
      "scenarioDuration": {
        "min": 2774,
        "max": 38288,
        "median": 3286,
        "p95": 5015.9,
        "p99": 28301.7
      },
      "scenarioCounts": {
        "Fuzz getSpec": 169,
        "Fuzz minute": 159,
        "Fuzz fixed": 172
      },
      "errors": {},
      "codes": {
        "200": 520,
        "302": 440
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 223,
      "pendingRequests": 71,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:38:53.656Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 556,
      "requestsCompleted": 632,
      "latency": {
        "min": 273.7,
        "max": 30839,
        "median": 555.3,
        "p95": 1391.4,
        "p99": 22825.3
      },
      "rps": {
        "count": 627,
        "mean": 62.7
      },
      "scenarioDuration": {
        "min": 2433,
        "max": 33191,
        "median": 2885.9,
        "p95": 6173.2,
        "p99": 25868.7
      },
      "scenarioCounts": {
        "Fuzz getSpec": 175,
        "Fuzz minute": 154,
        "Fuzz fixed": 171
      },
      "errors": {},
      "codes": {
        "200": 505,
        "302": 127
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 167,
      "pendingRequests": 66,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:39:03.654Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 557,
      "latency": {
        "min": 284.1,
        "max": 27490.5,
        "median": 682.8,
        "p95": 1324.7,
        "p99": 15937.2
      },
      "rps": {
        "count": 549,
        "mean": 54.9
      },
      "scenarioDuration": {
        "min": 2432,
        "max": 43556,
        "median": 2725.5,
        "p95": 3549,
        "p99": 23518
      },
      "scenarioCounts": {
        "Fuzz minute": 165,
        "Fuzz fixed": 179,
        "Fuzz getSpec": 156
      },
      "errors": {},
      "codes": {
        "200": 507,
        "302": 49,
        "500": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 167,
      "pendingRequests": 58,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:39:13.658Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 497,
      "requestsCompleted": 724,
      "latency": {
        "min": 260.7,
        "max": 27627,
        "median": 747.1,
        "p95": 1339.3,
        "p99": 13296.2
      },
      "rps": {
        "count": 714,
        "mean": 71.4
      },
      "scenarioDuration": {
        "min": 2445.4,
        "max": 50673.9,
        "median": 2957,
        "p95": 5775.2,
        "p99": 30479.4
      },
      "scenarioCounts": {
        "Fuzz fixed": 155,
        "Fuzz getSpec": 175,
        "Fuzz minute": 170
      },
      "errors": {},
      "codes": {
        "200": 510,
        "302": 214
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 170,
      "pendingRequests": 48,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:39:23.656Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 501,
      "requestsCompleted": 693,
      "latency": {
        "min": 270.5,
        "max": 21075.6,
        "median": 746.6,
        "p95": 1416.2,
        "p99": 5112.3
      },
      "rps": {
        "count": 715,
        "mean": 71.57
      },
      "scenarioDuration": {
        "min": 2436.2,
        "max": 29673.5,
        "median": 3161.7,
        "p95": 4125.4,
        "p99": 15188.9
      },
      "scenarioCounts": {
        "Fuzz fixed": 174,
        "Fuzz minute": 167,
        "Fuzz getSpec": 159
      },
      "errors": {},
      "codes": {
        "200": 478,
        "302": 215
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 169,
      "pendingRequests": 70,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:39:33.655Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 516,
      "requestsCompleted": 820,
      "latency": {
        "min": 267.7,
        "max": 29160.5,
        "median": 748.6,
        "p95": 1165.7,
        "p99": 1974.6
      },
      "rps": {
        "count": 809,
        "mean": 80.98
      },
      "scenarioDuration": {
        "min": 2428.1,
        "max": 31548.5,
        "median": 3237,
        "p95": 3871.7,
        "p99": 18936.7
      },
      "scenarioCounts": {
        "Fuzz fixed": 168,
        "Fuzz getSpec": 154,
        "Fuzz minute": 178
      },
      "errors": {},
      "codes": {
        "200": 511,
        "302": 309
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 153,
      "pendingRequests": 59,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:39:43.657Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 459,
      "requestsCompleted": 776,
      "latency": {
        "min": 275.8,
        "max": 26435.7,
        "median": 770.4,
        "p95": 1195.2,
        "p99": 6936.1
      },
      "rps": {
        "count": 797,
        "mean": 79.7
      },
      "scenarioDuration": {
        "min": 2430,
        "max": 32009,
        "median": 3211,
        "p95": 3624.6,
        "p99": 10927
      },
      "scenarioCounts": {
        "Fuzz getSpec": 175,
        "Fuzz fixed": 155,
        "Fuzz minute": 170
      },
      "errors": {},
      "codes": {
        "200": 479,
        "302": 297
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 194,
      "pendingRequests": 80,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:39:53.658Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 525,
      "requestsCompleted": 891,
      "latency": {
        "min": 275.9,
        "max": 41279.2,
        "median": 793,
        "p95": 1610.7,
        "p99": 14803.5
      },
      "rps": {
        "count": 894,
        "mean": 89.4
      },
      "scenarioDuration": {
        "min": 2439,
        "max": 43726.9,
        "median": 3301.1,
        "p95": 5069.5,
        "p99": 29750.6
      },
      "scenarioCounts": {
        "Fuzz minute": 177,
        "Fuzz getSpec": 164,
        "Fuzz fixed": 159
      },
      "errors": {},
      "codes": {
        "200": 497,
        "302": 394
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 169,
      "pendingRequests": 83,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:40:03.656Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 496,
      "requestsCompleted": 775,
      "latency": {
        "min": 275.4,
        "max": 30413.6,
        "median": 708.9,
        "p95": 1206.9,
        "p99": 6169.8
      },
      "rps": {
        "count": 756,
        "mean": 75.6
      },
      "scenarioDuration": {
        "min": 2443.1,
        "max": 34493.8,
        "median": 3237.6,
        "p95": 4588.2,
        "p99": 20023.7
      },
      "scenarioCounts": {
        "Fuzz getSpec": 178,
        "Fuzz fixed": 159,
        "Fuzz minute": 163
      },
      "errors": {},
      "codes": {
        "200": 519,
        "302": 256
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 173,
      "pendingRequests": 64,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:40:13.656Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 512,
      "requestsCompleted": 752,
      "latency": {
        "min": 275.6,
        "max": 46573.8,
        "median": 796.1,
        "p95": 1316.7,
        "p99": 7099.6
      },
      "rps": {
        "count": 762,
        "mean": 76.2
      },
      "scenarioDuration": {
        "min": 2421.1,
        "max": 49789.3,
        "median": 3256.9,
        "p95": 4009.8,
        "p99": 22547.6
      },
      "scenarioCounts": {
        "Fuzz getSpec": 188,
        "Fuzz minute": 150,
        "Fuzz fixed": 162
      },
      "errors": {},
      "codes": {
        "200": 490,
        "302": 262
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 161,
      "pendingRequests": 74,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:40:23.654Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 474,
      "requestsCompleted": 516,
      "latency": {
        "min": 271.2,
        "max": 36400.3,
        "median": 472.7,
        "p95": 8912.6,
        "p99": 19516.2
      },
      "rps": {
        "count": 515,
        "mean": 51.5
      },
      "scenarioDuration": {
        "min": 2416,
        "max": 39284.6,
        "median": 2497.1,
        "p95": 3722.4,
        "p99": 25056.8
      },
      "scenarioCounts": {
        "Fuzz getSpec": 171,
        "Fuzz fixed": 153,
        "Fuzz minute": 176
      },
      "errors": {},
      "codes": {
        "200": 501,
        "302": 15
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 187,
      "pendingRequests": 73,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:40:33.657Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 493,
      "requestsCompleted": 785,
      "latency": {
        "min": 276.1,
        "max": 36514.8,
        "median": 799.3,
        "p95": 1300.7,
        "p99": 13026.3
      },
      "rps": {
        "count": 809,
        "mean": 80.9
      },
      "scenarioDuration": {
        "min": 2435.1,
        "max": 40627,
        "median": 3172.5,
        "p95": 10913.5,
        "p99": 26099.7
      },
      "scenarioCounts": {
        "Fuzz getSpec": 167,
        "Fuzz fixed": 157,
        "Fuzz minute": 176
      },
      "errors": {},
      "codes": {
        "200": 476,
        "302": 309
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 194,
      "pendingRequests": 97,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:40:43.673Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 527,
      "requestsCompleted": 860,
      "latency": {
        "min": 271.4,
        "max": 29479.3,
        "median": 710.7,
        "p95": 1151.7,
        "p99": 9998.8
      },
      "rps": {
        "count": 834,
        "mean": 83.32
      },
      "scenarioDuration": {
        "min": 2441.1,
        "max": 31833,
        "median": 3287.1,
        "p95": 3875.6,
        "p99": 23980
      },
      "scenarioCounts": {
        "Fuzz getSpec": 151,
        "Fuzz minute": 177,
        "Fuzz fixed": 172
      },
      "errors": {},
      "codes": {
        "200": 526,
        "302": 334
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 167,
      "pendingRequests": 71,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:40:53.657Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 503,
      "requestsCompleted": 703,
      "latency": {
        "min": 272.7,
        "max": 43231.3,
        "median": 725.6,
        "p95": 1251.6,
        "p99": 17152.6
      },
      "rps": {
        "count": 707,
        "mean": 70.91
      },
      "scenarioDuration": {
        "min": 2430.1,
        "max": 47333.1,
        "median": 2965,
        "p95": 3714.8,
        "p99": 24887.6
      },
      "scenarioCounts": {
        "Fuzz fixed": 187,
        "Fuzz getSpec": 175,
        "Fuzz minute": 138
      },
      "errors": {},
      "codes": {
        "200": 496,
        "302": 207
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 164,
      "pendingRequests": 75,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:41:03.657Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 710,
      "latency": {
        "min": 279,
        "max": 29709.1,
        "median": 711.3,
        "p95": 1338.6,
        "p99": 20388
      },
      "rps": {
        "count": 688,
        "mean": 68.8
      },
      "scenarioDuration": {
        "min": 2435.1,
        "max": 32527.2,
        "median": 3066.8,
        "p95": 5823.6,
        "p99": 30131.1
      },
      "scenarioCounts": {
        "Fuzz getSpec": 168,
        "Fuzz minute": 173,
        "Fuzz fixed": 159
      },
      "errors": {},
      "codes": {
        "200": 522,
        "302": 188
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 164,
      "pendingRequests": 53,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:41:13.659Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 480,
      "requestsCompleted": 838,
      "latency": {
        "min": 270.8,
        "max": 19072.4,
        "median": 783.3,
        "p95": 1254.5,
        "p99": 4567.7
      },
      "rps": {
        "count": 861,
        "mean": 86.1
      },
      "scenarioDuration": {
        "min": 2461.5,
        "max": 31908.8,
        "median": 3203.9,
        "p95": 4083.7,
        "p99": 20389.7
      },
      "scenarioCounts": {
        "Fuzz getSpec": 160,
        "Fuzz fixed": 169,
        "Fuzz minute": 171
      },
      "errors": {},
      "codes": {
        "200": 477,
        "302": 361
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 184,
      "pendingRequests": 76,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:41:23.659Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 539,
      "requestsCompleted": 819,
      "latency": {
        "min": 275.6,
        "max": 35727.8,
        "median": 578.4,
        "p95": 1153.1,
        "p99": 8104.8
      },
      "rps": {
        "count": 787,
        "mean": 78.7
      },
      "scenarioDuration": {
        "min": 2443,
        "max": 38216,
        "median": 3237.6,
        "p95": 3711,
        "p99": 17611.4
      },
      "scenarioCounts": {
        "Fuzz minute": 179,
        "Fuzz fixed": 156,
        "Fuzz getSpec": 165
      },
      "errors": {},
      "codes": {
        "200": 532,
        "302": 287
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 145,
      "pendingRequests": 44,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:41:33.657Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 464,
      "requestsCompleted": 643,
      "latency": {
        "min": 265.7,
        "max": 24864.7,
        "median": 649.4,
        "p95": 1189.7,
        "p99": 5395.7
      },
      "rps": {
        "count": 675,
        "mean": 67.57
      },
      "scenarioDuration": {
        "min": 2436,
        "max": 26515.9,
        "median": 2770,
        "p95": 3582.5,
        "p99": 9203
      },
      "scenarioCounts": {
        "Fuzz getSpec": 171,
        "Fuzz fixed": 164,
        "Fuzz minute": 165
      },
      "errors": {},
      "codes": {
        "200": 468,
        "302": 175
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 181,
      "pendingRequests": 76,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:41:43.658Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 495,
      "requestsCompleted": 815,
      "latency": {
        "min": 267.1,
        "max": 27601.6,
        "median": 780.6,
        "p95": 1214.6,
        "p99": 4066
      },
      "rps": {
        "count": 837,
        "mean": 83.7
      },
      "scenarioDuration": {
        "min": 2440.5,
        "max": 29982.2,
        "median": 3233,
        "p95": 3916,
        "p99": 18921.3
      },
      "scenarioCounts": {
        "Fuzz getSpec": 165,
        "Fuzz minute": 162,
        "Fuzz fixed": 173
      },
      "errors": {},
      "codes": {
        "200": 478,
        "302": 337
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 186,
      "pendingRequests": 98,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:41:53.657Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 513,
      "requestsCompleted": 914,
      "latency": {
        "min": 274,
        "max": 40838.9,
        "median": 504.4,
        "p95": 1111.9,
        "p99": 5542.9
      },
      "rps": {
        "count": 895,
        "mean": 89.59
      },
      "scenarioDuration": {
        "min": 2445.8,
        "max": 37566.9,
        "median": 3298,
        "p95": 3790.8,
        "p99": 16960.5
      },
      "scenarioCounts": {
        "Fuzz getSpec": 141,
        "Fuzz minute": 180,
        "Fuzz fixed": 179
      },
      "errors": {},
      "codes": {
        "200": 519,
        "302": 395
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 173,
      "pendingRequests": 79,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:42:03.657Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 486,
      "requestsCompleted": 743,
      "latency": {
        "min": 272.6,
        "max": 43531.3,
        "median": 742.7,
        "p95": 1222,
        "p99": 17828.5
      },
      "rps": {
        "count": 746,
        "mean": 74.6
      },
      "scenarioDuration": {
        "min": 2437.1,
        "max": 46286,
        "median": 3206.8,
        "p95": 3761.6,
        "p99": 23333
      },
      "scenarioCounts": {
        "Fuzz getSpec": 185,
        "Fuzz fixed": 167,
        "Fuzz minute": 148
      },
      "errors": {},
      "codes": {
        "200": 497,
        "302": 246
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 187,
      "pendingRequests": 82,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:42:13.657Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 496,
      "requestsCompleted": 777,
      "latency": {
        "min": 277,
        "max": 32737.5,
        "median": 763.5,
        "p95": 1302.3,
        "p99": 16466.8
      },
      "rps": {
        "count": 771,
        "mean": 77.1
      },
      "scenarioDuration": {
        "min": 2444.3,
        "max": 35274,
        "median": 3221.9,
        "p95": 4108,
        "p99": 28735.9
      },
      "scenarioCounts": {
        "Fuzz getSpec": 158,
        "Fuzz minute": 182,
        "Fuzz fixed": 160
      },
      "errors": {},
      "codes": {
        "200": 506,
        "302": 271
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 191,
      "pendingRequests": 76,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:42:23.658Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 505,
      "requestsCompleted": 852,
      "latency": {
        "min": 276.1,
        "max": 35597,
        "median": 784.2,
        "p95": 1401.6,
        "p99": 17864.2
      },
      "rps": {
        "count": 834,
        "mean": 83.4
      },
      "scenarioDuration": {
        "min": 2445.7,
        "max": 41370,
        "median": 3278.7,
        "p95": 5887.2,
        "p99": 27340.2
      },
      "scenarioCounts": {
        "Fuzz minute": 172,
        "Fuzz getSpec": 159,
        "Fuzz fixed": 169
      },
      "errors": {},
      "codes": {
        "200": 518,
        "302": 334
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 186,
      "pendingRequests": 58,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:42:33.659Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 489,
      "requestsCompleted": 786,
      "latency": {
        "min": 276,
        "max": 18218.9,
        "median": 808.5,
        "p95": 1247.9,
        "p99": 10971.3
      },
      "rps": {
        "count": 799,
        "mean": 79.9
      },
      "scenarioDuration": {
        "min": 2424,
        "max": 37502,
        "median": 3319,
        "p95": 3789.6,
        "p99": 17353
      },
      "scenarioCounts": {
        "Fuzz minute": 167,
        "Fuzz fixed": 180,
        "Fuzz getSpec": 153
      },
      "errors": {},
      "codes": {
        "200": 487,
        "302": 299
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 197,
      "pendingRequests": 71,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:42:43.657Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 509,
      "requestsCompleted": 720,
      "latency": {
        "min": 273.3,
        "max": 35833.8,
        "median": 700,
        "p95": 1252.2,
        "p99": 18598.7
      },
      "rps": {
        "count": 728,
        "mean": 72.87
      },
      "scenarioDuration": {
        "min": 2427,
        "max": 35693,
        "median": 3050.4,
        "p95": 3767.3,
        "p99": 26997
      },
      "scenarioCounts": {
        "Fuzz fixed": 172,
        "Fuzz minute": 162,
        "Fuzz getSpec": 166
      },
      "errors": {},
      "codes": {
        "200": 492,
        "302": 228
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 188,
      "pendingRequests": 79,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:42:53.658Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 514,
      "requestsCompleted": 713,
      "latency": {
        "min": 268.1,
        "max": 38884.9,
        "median": 694.1,
        "p95": 1187.8,
        "p99": 17454.4
      },
      "rps": {
        "count": 694,
        "mean": 69.4
      },
      "scenarioDuration": {
        "min": 2432.7,
        "max": 41310,
        "median": 3058.5,
        "p95": 4316,
        "p99": 25599.6
      },
      "scenarioCounts": {
        "Fuzz fixed": 179,
        "Fuzz minute": 146,
        "Fuzz getSpec": 175
      },
      "errors": {},
      "codes": {
        "200": 519,
        "302": 194
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 174,
      "pendingRequests": 60,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:43:03.659Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 464,
      "requestsCompleted": 848,
      "latency": {
        "min": 267.3,
        "max": 28577.5,
        "median": 797.1,
        "p95": 1213.6,
        "p99": 7918.8
      },
      "rps": {
        "count": 890,
        "mean": 89
      },
      "scenarioDuration": {
        "min": 2440.7,
        "max": 36364.1,
        "median": 3241.7,
        "p95": 3907.6,
        "p99": 27734.2
      },
      "scenarioCounts": {
        "Fuzz fixed": 155,
        "Fuzz minute": 173,
        "Fuzz getSpec": 172
      },
      "errors": {},
      "codes": {
        "200": 458,
        "302": 390
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 210,
      "pendingRequests": 102,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:43:13.658Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 527,
      "requestsCompleted": 665,
      "latency": {
        "min": 277.9,
        "max": 31695.2,
        "median": 648.3,
        "p95": 1149.2,
        "p99": 15188.8
      },
      "rps": {
        "count": 620,
        "mean": 62.06
      },
      "scenarioDuration": {
        "min": 2446,
        "max": 34050,
        "median": 3057.5,
        "p95": 3771.2,
        "p99": 22334.2
      },
      "scenarioCounts": {
        "Fuzz getSpec": 166,
        "Fuzz minute": 171,
        "Fuzz fixed": 163
      },
      "errors": {},
      "codes": {
        "200": 545,
        "302": 120
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 183,
      "pendingRequests": 57,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:43:23.656Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 491,
      "requestsCompleted": 665,
      "latency": {
        "min": 279.3,
        "max": 36544.8,
        "median": 711.7,
        "p95": 1304.6,
        "p99": 19341.3
      },
      "rps": {
        "count": 665,
        "mean": 66.5
      },
      "scenarioDuration": {
        "min": 2431,
        "max": 35511.8,
        "median": 2830.9,
        "p95": 3531.2,
        "p99": 21713.3
      },
      "scenarioCounts": {
        "Fuzz getSpec": 162,
        "Fuzz fixed": 141,
        "Fuzz minute": 197
      },
      "errors": {},
      "codes": {
        "200": 500,
        "302": 165
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 192,
      "pendingRequests": 57,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:43:33.657Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 540,
      "requestsCompleted": 557,
      "latency": {
        "min": 277.4,
        "max": 33105.6,
        "median": 751.1,
        "p95": 1578.5,
        "p99": 24116
      },
      "rps": {
        "count": 556,
        "mean": 55.6
      },
      "scenarioDuration": {
        "min": 2441.9,
        "max": 40719,
        "median": 2872.1,
        "p95": 5224.8,
        "p99": 29165.9
      },
      "scenarioCounts": {
        "Fuzz getSpec": 180,
        "Fuzz minute": 165,
        "Fuzz fixed": 155
      },
      "errors": {},
      "codes": {
        "200": 501,
        "302": 56
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 152,
      "pendingRequests": 56,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:43:43.659Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 495,
      "requestsCompleted": 647,
      "latency": {
        "min": 275.5,
        "max": 38547.4,
        "median": 686.7,
        "p95": 1379.2,
        "p99": 4524.4
      },
      "rps": {
        "count": 651,
        "mean": 65.1
      },
      "scenarioDuration": {
        "min": 2421.4,
        "max": 41284.2,
        "median": 3048.1,
        "p95": 3824.6,
        "p99": 35829.3
      },
      "scenarioCounts": {
        "Fuzz minute": 169,
        "Fuzz getSpec": 158,
        "Fuzz fixed": 173
      },
      "errors": {},
      "codes": {
        "200": 496,
        "302": 151
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 157,
      "pendingRequests": 60,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:43:53.698Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 493,
      "requestsCompleted": 556,
      "latency": {
        "min": 277.8,
        "max": 31132.1,
        "median": 626.5,
        "p95": 1198.2,
        "p99": 6422.4
      },
      "rps": {
        "count": 576,
        "mean": 57.37
      },
      "scenarioDuration": {
        "min": 2423,
        "max": 35623,
        "median": 2676.8,
        "p95": 3550.4,
        "p99": 14898
      },
      "scenarioCounts": {
        "Fuzz fixed": 170,
        "Fuzz getSpec": 166,
        "Fuzz minute": 164
      },
      "errors": {},
      "codes": {
        "200": 478,
        "302": 78
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 164,
      "pendingRequests": 80,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:44:03.707Z",
      "scenariosCreated": 502,
      "scenariosCompleted": 501,
      "requestsCompleted": 624,
      "latency": {
        "min": 274.7,
        "max": 31156.4,
        "median": 620,
        "p95": 1206,
        "p99": 10447.9
      },
      "rps": {
        "count": 605,
        "mean": 60.68
      },
      "scenarioDuration": {
        "min": 2434,
        "max": 19747,
        "median": 2769.4,
        "p95": 3675.7,
        "p99": 13667.4
      },
      "scenarioCounts": {
        "Fuzz getSpec": 174,
        "Fuzz minute": 162,
        "Fuzz fixed": 166
      },
      "errors": {},
      "codes": {
        "200": 521,
        "302": 102,
        "500": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 165,
      "pendingRequests": 61,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:44:13.700Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 502,
      "requestsCompleted": 656,
      "latency": {
        "min": 279.2,
        "max": 36001.5,
        "median": 710.5,
        "p95": 1263.1,
        "p99": 10541.2
      },
      "rps": {
        "count": 664,
        "mean": 66.53
      },
      "scenarioDuration": {
        "min": 2443,
        "max": 38362,
        "median": 2863.5,
        "p95": 3765.5,
        "p99": 22371.5
      },
      "scenarioCounts": {
        "Fuzz minute": 172,
        "Fuzz getSpec": 176,
        "Fuzz fixed": 152
      },
      "errors": {},
      "codes": {
        "200": 492,
        "302": 164
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 163,
      "pendingRequests": 69,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:44:23.682Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 460,
      "requestsCompleted": 875,
      "latency": {
        "min": 273.8,
        "max": 41368.9,
        "median": 786.6,
        "p95": 1238.9,
        "p99": 18384.4
      },
      "rps": {
        "count": 907,
        "mean": 91.16
      },
      "scenarioDuration": {
        "min": 2440.4,
        "max": 43898.7,
        "median": 3305.4,
        "p95": 4522.1,
        "p99": 35320.4
      },
      "scenarioCounts": {
        "Fuzz fixed": 167,
        "Fuzz getSpec": 178,
        "Fuzz minute": 155
      },
      "errors": {},
      "codes": {
        "200": 469,
        "302": 406
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 203,
      "pendingRequests": 101,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:44:33.683Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 492,
      "requestsCompleted": 967,
      "latency": {
        "min": 273.4,
        "max": 27781.7,
        "median": 787.7,
        "p95": 1169.3,
        "p99": 17554.6
      },
      "rps": {
        "count": 962,
        "mean": 96.2
      },
      "scenarioDuration": {
        "min": 2459.4,
        "max": 38895,
        "median": 3336.8,
        "p95": 10246.9,
        "p99": 24506.1
      },
      "scenarioCounts": {
        "Fuzz getSpec": 163,
        "Fuzz fixed": 164,
        "Fuzz minute": 173
      },
      "errors": {},
      "codes": {
        "200": 505,
        "302": 462
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 211,
      "pendingRequests": 96,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:44:43.718Z",
      "scenariosCreated": 464,
      "scenariosCompleted": 528,
      "requestsCompleted": 798,
      "latency": {
        "min": 276.3,
        "max": 27283.4,
        "median": 820.8,
        "p95": 1586.3,
        "p99": 8268.5
      },
      "rps": {
        "count": 782,
        "mean": 77.89
      },
      "scenarioDuration": {
        "min": 2438,
        "max": 37455.2,
        "median": 3343,
        "p95": 6722.7,
        "p99": 21712.3
      },
      "scenarioCounts": {
        "Fuzz minute": 155,
        "Fuzz fixed": 162,
        "Fuzz getSpec": 147
      },
      "errors": {},
      "codes": {
        "200": 478,
        "302": 320
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 147,
      "pendingRequests": 80,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:44:53.686Z",
      "scenariosCreated": 536,
      "scenariosCompleted": 465,
      "requestsCompleted": 802,
      "latency": {
        "min": 273.6,
        "max": 20548.8,
        "median": 810.7,
        "p95": 1342.8,
        "p99": 8927.9
      },
      "rps": {
        "count": 821,
        "mean": 82.85
      },
      "scenarioDuration": {
        "min": 2437,
        "max": 24425,
        "median": 3238,
        "p95": 4116.8,
        "p99": 9592.8
      },
      "scenarioCounts": {
        "Fuzz minute": 184,
        "Fuzz fixed": 162,
        "Fuzz getSpec": 190
      },
      "errors": {},
      "codes": {
        "200": 519,
        "302": 283
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 218,
      "pendingRequests": 99,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:45:03.688Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 978,
      "latency": {
        "min": 268.7,
        "max": 46447.2,
        "median": 504.8,
        "p95": 1082.9,
        "p99": 14142.7
      },
      "rps": {
        "count": 983,
        "mean": 98.3
      },
      "scenarioDuration": {
        "min": 3106.8,
        "max": 48864.6,
        "median": 3312.1,
        "p95": 4018.8,
        "p99": 31984.3
      },
      "scenarioCounts": {
        "Fuzz getSpec": 153,
        "Fuzz fixed": 171,
        "Fuzz minute": 176
      },
      "errors": {},
      "codes": {
        "200": 495,
        "302": 483
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 218,
      "pendingRequests": 104,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:45:13.692Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 525,
      "requestsCompleted": 986,
      "latency": {
        "min": 269.3,
        "max": 39607.2,
        "median": 801.5,
        "p95": 1435.2,
        "p99": 21680.5
      },
      "rps": {
        "count": 988,
        "mean": 98.8
      },
      "scenarioDuration": {
        "min": 2465,
        "max": 43956.4,
        "median": 3323.9,
        "p95": 6459.4,
        "p99": 36159.6
      },
      "scenarioCounts": {
        "Fuzz fixed": 156,
        "Fuzz minute": 176,
        "Fuzz getSpec": 168
      },
      "errors": {},
      "codes": {
        "200": 498,
        "302": 488
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 193,
      "pendingRequests": 106,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:45:23.689Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 468,
      "requestsCompleted": 930,
      "latency": {
        "min": 272.2,
        "max": 38669.7,
        "median": 804.8,
        "p95": 1198,
        "p99": 11903.9
      },
      "rps": {
        "count": 944,
        "mean": 94.49
      },
      "scenarioDuration": {
        "min": 2475,
        "max": 36444,
        "median": 3330.1,
        "p95": 9481.3,
        "p99": 31851.8
      },
      "scenarioCounts": {
        "Fuzz minute": 153,
        "Fuzz fixed": 181,
        "Fuzz getSpec": 166
      },
      "errors": {},
      "codes": {
        "200": 486,
        "302": 444
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 225,
      "pendingRequests": 120,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:45:33.761Z",
      "scenariosCreated": 487,
      "scenariosCompleted": 491,
      "requestsCompleted": 994,
      "latency": {
        "min": 268.6,
        "max": 45123.4,
        "median": 822.3,
        "p95": 1417.4,
        "p99": 21430.1
      },
      "rps": {
        "count": 998,
        "mean": 99.11
      },
      "scenarioDuration": {
        "min": 3140.2,
        "max": 47502.5,
        "median": 3350,
        "p95": 12541.9,
        "p99": 39352.6
      },
      "scenarioCounts": {
        "Fuzz minute": 141,
        "Fuzz getSpec": 169,
        "Fuzz fixed": 177
      },
      "errors": {},
      "codes": {
        "200": 481,
        "302": 513
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 221,
      "pendingRequests": 124,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:45:43.727Z",
      "scenariosCreated": 515,
      "scenariosCompleted": 512,
      "requestsCompleted": 1015,
      "latency": {
        "min": 270.2,
        "max": 31631,
        "median": 786.4,
        "p95": 1352.8,
        "p99": 16982.7
      },
      "rps": {
        "count": 1016,
        "mean": 102.73
      },
      "scenarioDuration": {
        "min": 3114,
        "max": 39336.7,
        "median": 3357.3,
        "p95": 11881.4,
        "p99": 28328
      },
      "scenarioCounts": {
        "Fuzz getSpec": 187,
        "Fuzz minute": 157,
        "Fuzz fixed": 171
      },
      "errors": {},
      "codes": {
        "200": 516,
        "302": 499
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 224,
      "pendingRequests": 125,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:45:53.726Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 489,
      "requestsCompleted": 997,
      "latency": {
        "min": 270.9,
        "max": 36403.7,
        "median": 817.9,
        "p95": 1240.8,
        "p99": 22626.7
      },
      "rps": {
        "count": 995,
        "mean": 99.5
      },
      "scenarioDuration": {
        "min": 3130.6,
        "max": 33994.4,
        "median": 3384.6,
        "p95": 4210.2,
        "p99": 25820.2
      },
      "scenarioCounts": {
        "Fuzz minute": 172,
        "Fuzz getSpec": 174,
        "Fuzz fixed": 154
      },
      "errors": {},
      "codes": {
        "200": 501,
        "302": 495,
        "500": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 235,
      "pendingRequests": 123,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:46:03.765Z",
      "scenariosCreated": 493,
      "scenariosCompleted": 514,
      "requestsCompleted": 984,
      "latency": {
        "min": 266.6,
        "max": 37964.4,
        "median": 826.3,
        "p95": 1438.4,
        "p99": 27840.6
      },
      "rps": {
        "count": 960,
        "mean": 95.62
      },
      "scenarioDuration": {
        "min": 2443,
        "max": 45096.1,
        "median": 3338.5,
        "p95": 20464.8,
        "p99": 37928.2
      },
      "scenarioCounts": {
        "Fuzz fixed": 164,
        "Fuzz minute": 157,
        "Fuzz getSpec": 172
      },
      "errors": {},
      "codes": {
        "200": 514,
        "302": 469,
        "500": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 214,
      "pendingRequests": 99,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:46:13.739Z",
      "scenariosCreated": 508,
      "scenariosCompleted": 546,
      "requestsCompleted": 869,
      "latency": {
        "min": 267.2,
        "max": 41613.4,
        "median": 721.9,
        "p95": 1335.7,
        "p99": 19478.3
      },
      "rps": {
        "count": 832,
        "mean": 83.7
      },
      "scenarioDuration": {
        "min": 2434.3,
        "max": 48118,
        "median": 3306,
        "p95": 15028,
        "p99": 37522.7
      },
      "scenarioCounts": {
        "Fuzz fixed": 175,
        "Fuzz minute": 163,
        "Fuzz getSpec": 170
      },
      "errors": {},
      "codes": {
        "200": 547,
        "302": 322
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 176,
      "pendingRequests": 62,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:46:23.741Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 481,
      "requestsCompleted": 927,
      "latency": {
        "min": 276.5,
        "max": 23335.6,
        "median": 776.3,
        "p95": 1135.5,
        "p99": 9147.7
      },
      "rps": {
        "count": 945,
        "mean": 94.59
      },
      "scenarioDuration": {
        "min": 2449,
        "max": 44881.3,
        "median": 3273.5,
        "p95": 4862,
        "p99": 25056.7
      },
      "scenarioCounts": {
        "Fuzz fixed": 154,
        "Fuzz minute": 164,
        "Fuzz getSpec": 182
      },
      "errors": {},
      "codes": {
        "200": 482,
        "302": 445
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 195,
      "pendingRequests": 80,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:46:33.744Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 496,
      "requestsCompleted": 952,
      "latency": {
        "min": 265.9,
        "max": 32031.8,
        "median": 794.3,
        "p95": 1226.4,
        "p99": 9146.5
      },
      "rps": {
        "count": 972,
        "mean": 97.3
      },
      "scenarioDuration": {
        "min": 3105,
        "max": 45301.3,
        "median": 3302,
        "p95": 5610.7,
        "p99": 23718.2
      },
      "scenarioCounts": {
        "Fuzz minute": 182,
        "Fuzz fixed": 153,
        "Fuzz getSpec": 165
      },
      "errors": {},
      "codes": {
        "200": 479,
        "302": 473
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 199,
      "pendingRequests": 100,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:46:43.741Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 498,
      "requestsCompleted": 970,
      "latency": {
        "min": 273,
        "max": 25325.2,
        "median": 786.9,
        "p95": 1155.9,
        "p99": 5708.3
      },
      "rps": {
        "count": 968,
        "mean": 96.8
      },
      "scenarioDuration": {
        "min": 2468.9,
        "max": 25224.5,
        "median": 3296.3,
        "p95": 4014.8,
        "p99": 12120.4
      },
      "scenarioCounts": {
        "Fuzz fixed": 170,
        "Fuzz minute": 170,
        "Fuzz getSpec": 160
      },
      "errors": {},
      "codes": {
        "200": 502,
        "302": 468
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 201,
      "pendingRequests": 98,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:46:53.736Z",
      "scenariosCreated": 22,
      "scenariosCompleted": 199,
      "requestsCompleted": 168,
      "latency": {
        "min": 281.4,
        "max": 29689.9,
        "median": 728.4,
        "p95": 14608.6,
        "p99": 29147.6
      },
      "rps": {
        "count": 85,
        "mean": 8.51
      },
      "scenarioDuration": {
        "min": 2848.2,
        "max": 32265.8,
        "median": 3323.2,
        "p95": 25085.4,
        "p99": 31824.1
      },
      "scenarioCounts": {
        "Fuzz fixed": 4,
        "Fuzz getSpec": 11,
        "Fuzz minute": 7
      },
      "errors": {},
      "codes": {
        "200": 106,
        "302": 62
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 24,
      "pendingRequests": 15,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:47:03.735Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 13,
      "requestsCompleted": 16,
      "latency": {
        "min": 287.3,
        "max": 39914.8,
        "median": 16321,
        "p95": 37930.4,
        "p99": 39914.8
      },
      "rps": {
        "count": 7,
        "mean": 0.85
      },
      "scenarioDuration": {
        "min": 13945.6,
        "max": 42272.7,
        "median": 22231.3,
        "p95": 40816.7,
        "p99": 42272.7
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {
        "200": 9,
        "302": 7
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 11,
      "pendingRequests": 6,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:47:13.736Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 8,
      "requestsCompleted": 11,
      "latency": {
        "min": 279.7,
        "max": 36213.8,
        "median": 21068.1,
        "p95": 35953.7,
        "p99": 36213.8
      },
      "rps": {
        "count": 5,
        "mean": 0.54
      },
      "scenarioDuration": {
        "min": 27869,
        "max": 38607.7,
        "median": 32008.2,
        "p95": 38607.7,
        "p99": 38607.7
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {
        "200": 6,
        "302": 5
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-19T18:47:16.272Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 3,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": 29923,
        "max": 33381.6,
        "median": 32520.9,
        "p95": 33381.6,
        "p99": 33381.6
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 0,
      "scenariosAvoided": 0
    }
  ]
};
  </script>

  <style>
      h1 {
        line-height: 200%;
      }

      body {
          background-color: #fcfcfc;
      }

      .container {
          width: 100%;
          min-width: 960px;
      }
  </style>


</head>
<body>

<div class="container">

<div class="row" id="header">
  <div class="col-lg-4 col-lg-offset-4">
    <pre style="font-size: 5pt; background-color: #fcfcfc; border: none;">
            _   _ _ _                                                _
  __ _ _ __| |_(_) | | ___ _ __ _   _      _ __ ___ _ __   ___  _ __| |_
 / _` | '__| __| | | |/ _ \ '__| | | |    | '__/ _ \ '_ \ / _ \| '__| __|
| (_| | |  | |_| | | |  __/ |  | |_| |    | | |  __/ |_) | (_) | |  | |_
 \__,_|_|   \__|_|_|_|\___|_|   \__, |    |_|  \___| .__/ \___/|_|   \__|
                                |___/              |_|

    </pre>
  </div>
</div>

<div class="row">
  <div class="col-lg-12">
    <h1 class="text-center" id="page-title">Test run on <span id="timestamp">date</span></h1>
  </div>
</div>

<div class="row">
  <div class="col-lg-3">
    <p><strong>Summary</strong></p>
    <table class="table table-bordered table-hover table-condensed">
      <tbody>
        <tr>
          <td>Test duration</td>
          <td><span id="testDuration">0</span> sec</td>
        </tr>
        <tr>
          <td>Scenarios created</td>
          <td><span id="scenariosCreated">0</span></td>
        </tr>

        <tr>
          <td>Scenarios completed</td>
          <td><span id="scenariosCompleted">0</span></td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="col-lg-5" id="scenarioCountsContainer">
    <div>
      <strong>Scenario counts:</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="scenarioCounts">
      </table>
    </div>
  </div>

  <div class="col-lg-1">
    <div id="codesContainer">
      <strong>Codes</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="codes">
      </table>
    </div>
  </div>

  <div class="col-lg-3">
    <div id="errorsContainer">
      <strong>Errors</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="errors">
      </table>
    </div>
  </div>
</div> <!-- /.row -->

<div class="row">
  <div class="text-center col-lg-12">
    <h2>Charts</h2>
  </div>
</div>

<div class="row">
  <div class="latency-histogram text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="latency text-center col-lg-12"></div>
</div>

<div class="latency-legend"></div>

<div class="row">

</div>

<div class="row">
  <div class="concurrency text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="rps-mean text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="rps-count text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="codes-line text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="errors-line text-center col-lg-12"></div>
</div>


  


</div>

<div class="row">
  <div class="col-lg-8 col-lg-offset-2">
    <h3 class="text-center">Raw report data</h3>
    <p>This is the raw JSON stats output that the report was generated from.</p>
    <div id="editor">
    </div>
  </div>
</div>

<script>
var editor = ace.edit("editor");
editor.getSession().setMode("ace/mode/javascript");
editor.setValue(JSON.stringify(Report, null, 2));
editor.gotoLine(1);editor.setHighlightActiveLine(false);

var l = _;

$('#timestamp').html(moment(Report.aggregate.timestamp).format('DD MMM YYYY HH:mm:SS'));
$('#testDuration').html(l.size(Report.intermediate) * 10);
$('#scenariosCompleted').html(Report.aggregate.scenariosCompleted);
$('#scenariosCreated').html(Report.aggregate.scenariosCreated);

var markers = [];
if(l.size(Report.phases) > 0) {
  markers = l.foldl(Report.phases, function(acc, phase, index) {
    var label = phase.name || 'Phase ' + (index + 1);
    var timestamp = (index === 0) ? 0 : Report.phases[index - 1].duration + acc[index - 1].timestamp;

    acc.push({
      timestamp: timestamp,
      label: label
    });

    return acc;
  }, []);
}

if (l.size(Report.aggregate.scenarioCounts) > 0) {
  l.each(Report.aggregate.scenarioCounts, function(count, name) {
    var $tdName = $('<td>' + name + '</td>');
    var percentage = Math.round(count / Report.aggregate.scenariosCreated * 100 * 1000) / 1000;
    var $tdCount = $('<td>' + count + ' (' + percentage + '%)' + '</td>');
    var $el = $('<tr></tr>')
      .append($tdName)
      .append($tdCount)
      .appendTo($('#scenarioCounts'));
  });
} else {
  $('#scenarioCountsContainer').hide();
}

if (l.size(Report.aggregate.codes) > 0) {
  l.each(Report.aggregate.codes, function(count, code) {
    var anchor = '';
    if (code >= 100 && code < 200) {
      anchor = '#1xx_Informational';
    } else if (code >= 200 && code < 300) {
      anchor = '#2xx_Success';
    } else if (code >= 300 && code < 400) {
      anchor = '#3xx_Redirection';
    } else if (code >= 400 && code < 500) {
      anchor = '#4xx_Client_Error';
    } else if (code >= 500 && code < 600) {
      anchor = '#5xx_Server_Error';
    }

    var $a = $('<a>' + code + '</a>').attr('href', 'https://en.wikipedia.org/wiki/List_of_HTTP_status_codes' + anchor);
    var $td = $('<td></td>').append($a);
    var $el = $('<tr></tr>')
      .append($td)
      .append($('<td>' + count + '</td>'))
      .appendTo($('#codes'));
  });
} else {
  $('#codesContainer').hide();
}

if (l.size(Report.aggregate.errors) > 0) {
  l.each(Report.aggregate.errors, function(count, code) {
    var $el = $('<tr></tr>')
      .append($('<td>' + code + '</td>'))
      .append($('<td>' + count + '</td>'))
      .appendTo($('#errors'));
  });
} else {
  $('#errorsContainer > p').html('&#10004; Test completed without network or OS errors.');
}

var histogramData = l.map(Report.aggregate.latency, function(v, k) { return {bin: k, value: v} });

MG.data_graphic({
  chart_type: 'bar',
  x_label: 'Percentile',
  y_label: '(ms)',
  animate_on_load: true,
  title: 'Overall Latency Distribution',
  description: 'Distribution of all observed response latencies',
  target: '.latency-histogram',
  data: histogramData,
  x_accessor: 'bin',
  y_accessor: 'value',
  binned: true,
  height: 250,
  interpolate: 'monotone',
  padding_percentage: 0,
  bar_orientation: 'vertical',
  width: 450
});

var chartData = l.map(
  window.Report.intermediate,
  function(o,i) {
    return {
      timestamp: i*10+10,

      rpsMean: o.rps.mean,
      rpsCount: o.rps.count,
      concurrency: o.concurrency,
      latencyMax: o.latency.max,
      latencyp99: o.latency.p99,
      latencyp95: o.latency.p95,
      latencyMedian: o.latency.median,
      latencyMin: o.latency.min
    }
  });

//
// Response codes
//

if (l.size(Report.aggregate.codes) > 0) {
  var codesData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.codes, function(count, code) {
      res[code] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueCodes = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.codes, function(count, code) {
      if (l.indexOf(acc, code) === -1) {
        acc.push(code);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    x_label: 'Time',
    y_label: 'Count',
    title: 'HTTP codes',
    description: 'Occurence of HTTP response codes',
    target: '.codes-line',
    data: codesData,
    x_accessor: 'timestamp',
    y_accessor: uniqueCodes,
    legend: uniqueCodes,
    right: 50,
    chart_type: 'line',
    area: false,
    markers: markers,
    width: 900
  });
}

//
// Errors
//

if (l.size(Report.aggregate.errors) > 0) {
  var errorData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.errors, function(count, name) {
      res[name] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueErrors = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.errors, function(count, name) {
      if (l.indexOf(acc, name) === -1) {
        acc.push(name);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    title: 'Error Codes',
    description: 'Occurence of error codes',
    target: '.errors-line',
    data: errorData,
    x_accessor: 'timestamp',
    y_accessor: uniqueErrors,
    chart_type: 'line',
    area: false,
    markers: markers
  });

}

//
// Latency
//
MG.data_graphic({
  chart_type: 'line',
  x_label: 'Time',
  y_label: '(ms)',
  animate_on_load: true,
  area: false,
  title: "Latency At Intervals",
  description: "Latency values at different points during the test run",
  data: chartData,
  target: '.latency',
  width: 900,
  x_accessor: 'timestamp',
  y_accessor: ['latencyMin', 'latencyMedian', 'latencyp95', 'latencyMax'],
  legend: ['min', 'p50', 'p95', 'max'],
  //legend_target: '.latency-legend',
  right: 50,
  interpolate: 'monotone',
  mouseover: function(d, i) {
  },
  markers: markers
        });

            MG.data_graphic({
            animate_on_load: true,
            area: false,
            y_label: 'Count',
            x_label: 'Time',
            title: 'Concurrent users',
            description: 'Concurrent users',
            data: chartData,
            target: '.concurrency',
            x_accessor: 'timestamp',
            y_accessor: ['concurrency'],
            interpolate: 'monotone',
            markers: markers,
            width: 900
            });

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'Mean RPS',
  description: 'Mean requests per second',
  data: chartData,
  target: '.rps-mean',
  x_accessor: 'timestamp',
  y_accessor: ['rpsMean'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'RPS Count',
  description: 'Count of requests per second',
  data: chartData,
  target: '.rps-count',
  x_accessor: 'timestamp',
  y_accessor: ['rpsCount'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});
</script>
<div id="footer">
  <footer>This report was created with <a href="https://artillery.io">Artillery</a> - free open-source load-testing for HTTP and WebSockets</footer>
</div>
</body>
</html>
